Introducing Confident Monitor

Delete Tool

(v2)

DELETE

Permanently deletes a tool and all its versions. Prompt commits that pinned it no longer include it.

DELETE/v2/tools/{toolId}
curl -X DELETE "https://api.confident-ai.com/v2/tools/{toolId}" \
  -H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"
200
{
  "success": true,
  "data": {
    "id": "<TOOL-ID>"
  },
  "deprecated": false
}

Headers

  • CONFIDENT_API_KEYstringRequired

    The API key of your Confident AI project.

Path parameters

  • toolIdstringRequired

    The id of the tool.

Response

Delete Tool succeeded.

  • successboolean

    Indicates if the request was successful.

  • dataobject

    A reference to a tool by its id.

    Show 1 propertyHide 1 property
    • idstring

      The id of the tool, generated by Confident AI.

  • deprecatedboolean

    Indicates if this endpoint is deprecated.

Built byConfident AI